Incidencia #662 (closed Error: Resuelto)

Abierto hace 5 años

Última modificación 5 años

Falta el archivo /etc/lsb-release

Informado por: geopelia Propietario: ssolano
Prioridad: Baja Hito: Canaima Popular 4.0~b2
Componente: Canaima Base Versión: 4.0
Gravedad: Menor Palabras clave: canaima, error
Cc: Asignar A:

Descripción

Al agregar un repositorio usando add-apt-repository. Consigo el siguiente error:

Traceback (most recent call last):

File "/usr/bin/add-apt-repository", line 160, in <module>

sp = SoftwareProperties?(options=options)

File "/usr/lib/python2.7/dist-packages/softwareproperties/SoftwareProperties.py", line 96, in init

self.reload_sourceslist()

File "/usr/lib/python2.7/dist-packages/softwareproperties/SoftwareProperties.py", line 584, in reload_sourceslist

self.distro.get_sources(self.sourceslist)

File "/usr/lib/python2.7/dist-packages/aptsources/distro.py", line 87, in get_sources

raise NoDistroTemplateException?("Error: could not find a "

aptsources.distro.NoDistroTemplateException?: Error: could not find a distribution template

Leyendo acerca del error dicen que es debido a que falta el archivo lsb-release
Fuente: http://askubuntu.com/questions/49040/apt-could-not-find-a-distribution-template-error

Cuando busco en mi sistema ese archivo solo esta en las siguientes ubicaciones.
#find / -name lsb-release
/usr/share/doc/lsb-release
/usr/share/bug/lsb-release
/var/log/installer/lsb-release

Observación: como tengo canaima 4 sin usar el instalador oficial quizás el error se deba a eso. Por favor verificar las rutas usando una instalación estándar de canaima 4

Historial de cambios

comment:1 Cambiado el 5 años por ssolano

  • Propietario cambiado de Canaima Popular a ssolano
  • Estado cambiado de new to accepted

comment:2 Cambiado el 5 años por ssolano

  • Estado cambiado de accepted to resuelta
  • Resolución establecido a Fijada

Esto fue solucionado modificando el archivo templates/Canaima.info.in la palabra kerepakupai estaba mal escrita en el paquete python-apt en el link [1] el commit correspondiente a la solución del problema

[1]http://git.canaima.softwarelibre.gob.ve/?p=python-apt.git;a=commit;h=a701224e936f03cf81a6b637d862592cee9b4539

comment:3 Cambiado el 5 años por erickcion

  • Hito cambiado de canaima-popular-4.0~a1 to canaima-popular-4.0~b2

comment:4 Cambiado el 5 años por erickcion

  • Estado cambiado de resuelta to closed

Solución disponible a partir de:

  • python-apt 0.8.8.2Canaima2
Nota: Vea TracTickets para ayuda en el uso de incidencias.